Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
sms
/
templates
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.Sms.GetTemplatesAsync();
    }

}
{
  "enrollment_message": "{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.",
  "verification_message": "{{code}} is your verification code for {{tenant.friendly_name}}"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

SMS enrollment and verification templates successfully retrieved.

enrollment_message
string
default:{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.
required

Message sent to the user when they are invited to enroll with a phone number.

verification_message
string
default:{{code}} is your verification code for {{tenant.friendly_name}}
required

Message sent to the user when they are prompted to verify their account.